mod consts;
mod globaldata;
mod gpustate;
mod pipeline;
mod sprite;
mod texturearray;
mod vertexbuffer;

pub use gpustate::GPUState;
pub use sprite::{Sprite, Spriteable};

/// A handle to a sprite texture
#[derive(Debug, Clone)]
pub struct SpriteTexture(pub String);
